ParserTerminal (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.syntax

## Class ParserTerminal

- java.lang.Object
- - hlt.language.util.Indexed
  - - hlt.language.util.ArrayIndexed
    - - hlt.language.syntax.ParserSymbol
      - - hlt.language.syntax.ParserTerminal

- All Implemented Interfaces:
    Named

      public class ParserTerminal
      extends ParserSymbol

  This is the class of terminal symbols used by the parser at parse time.
  Version:
    Last modified on Fri Apr 13 20:11:36 2012 by hak
  Author:
    Hassan Aït-Kaci
  See Also:
    `ParserSymbol`
  Copyright:
    © by the author

- - ### Field Summary

    - ### Fields inherited from class hlt.language.util.ArrayIndexed

      `set`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserTerminal(java.lang.String name, int index, int precedence, int associativity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParserTerminal` | `addXmlInfo(int[] children)`
    `ParserTerminal` | `addXmlInfo(java.lang.String[] attributeRefs)`
    `ParserTerminal` | `addXmlInfo(XmlAttributeInfo[] attributes)`
    `ParserTerminal` | `addXmlInfo(XmlWrapper[][] wrapperPaths)`
    `int` | `associativity()` This symbol's associativity.
    `int` | `precedence()` This symbol's precedence.
    `ParserTerminal` | `setTerminalValueFlag()`
    `ParserTerminal` | `setXmlInfo(XmlInfo info)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class hlt.language.syntax.ParserSymbol

      `name`

    - ### Methods inherited from class hlt.language.util.ArrayIndexed

      `equals`

    - ### Methods inherited from class hlt.language.util.Indexed

      `hashCode, index`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserTerminal

          public ParserTerminal(java.lang.String name,
                        int index,
                        int precedence,
                        int associativity)

  - ### Method Detail

    - #### precedence

          public int precedence()

      This symbol's precedence.

    - #### associativity

          public int associativity()

      This symbol's associativity.

    - #### setXmlInfo

          public ParserTerminal setXmlInfo(XmlInfo info)

    - #### addXmlInfo

          public ParserTerminal addXmlInfo(int[] children)

    - #### addXmlInfo

          public ParserTerminal addXmlInfo(XmlAttributeInfo[] attributes)

    - #### addXmlInfo

          public ParserTerminal addXmlInfo(XmlWrapper[][] wrapperPaths)

    - #### addXmlInfo

          public ParserTerminal addXmlInfo(java.lang.String[] attributeRefs)

    - #### setTerminalValueFlag

          public ParserTerminal setTerminalValueFlag()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ParserSymbol`